# Trust Data Handling
[Message Engine]

## Typedefs

typedef GWEN_MSGENGINE_TRUSTEDDATA | GWEN_MSGENGINE_TRUSTEDDATA

## Enumerations

enum | GWEN_MSGENGINE_TRUSTLEVEL { GWEN_MsgEngineTrustLevelNone = 0, GWEN_MsgEngineTrustLevelLow, GWEN_MsgEngineTrustLevelMedium, GWEN_MsgEngineTrustLevelHigh, GWEN_MsgEngineTrustLevelFull }

## Functions

GWENHYWFAR_API int | GWEN_MsgEngine_TrustedData_AddPos (GWEN_MSGENGINE_TRUSTEDDATA *td, unsigned int pos)
GWENHYWFAR_API int | GWEN_MsgEngine_TrustedData_CreateReplacements (GWEN_MSGENGINE_TRUSTEDDATA *td)
GWENHYWFAR_API void | GWEN_MsgEngine_TrustedData_free (GWEN_MSGENGINE_TRUSTEDDATA *td)
GWENHYWFAR_API const char * | GWEN_MsgEngine_TrustedData_GetData (GWEN_MSGENGINE_TRUSTEDDATA *td)
GWENHYWFAR_API const char * | GWEN_MsgEngine_TrustedData_GetDescription (GWEN_MSGENGINE_TRUSTEDDATA *td)
GWENHYWFAR_API int | GWEN_MsgEngine_TrustedData_GetFirstPos (GWEN_MSGENGINE_TRUSTEDDATA *td)
GWENHYWFAR_API GWEN_MSGENGINE_TRUSTEDDATA * | GWEN_MsgEngine_TrustedData_GetNext (GWEN_MSGENGINE_TRUSTEDDATA *td)
GWENHYWFAR_API int | GWEN_MsgEngine_TrustedData_GetNextPos (GWEN_MSGENGINE_TRUSTEDDATA *td)
GWENHYWFAR_API const char * | GWEN_MsgEngine_TrustedData_GetReplacement (GWEN_MSGENGINE_TRUSTEDDATA *td)
GWENHYWFAR_API unsigned int | GWEN_MsgEngine_TrustedData_GetSize (GWEN_MSGENGINE_TRUSTEDDATA *td)
GWENHYWFAR_API GWEN_MSGENGINE_TRUSTLEVEL | GWEN_MsgEngine_TrustedData_GetTrustLevel (GWEN_MSGENGINE_TRUSTEDDATA *td)
GWENHYWFAR_API GWEN_MSGENGINE_TRUSTEDDATA * | GWEN_MsgEngine_TrustedData_new (const char *data, unsigned int size, const char *description, GWEN_MSGENGINE_TRUSTLEVEL trustLevel)

## Typedef Documentation

typedef struct GWEN_MSGENGINE_TRUSTEDDATA GWEN_MSGENGINE_TRUSTEDDATA

## Enumeration Type Documentation

enum GWEN_MSGENGINE_TRUSTLEVEL

Enumerator:

  GWEN_MsgEngineTrustLevelNone |
  GWEN_MsgEngineTrustLevelLow |
  GWEN_MsgEngineTrustLevelMedium |
  GWEN_MsgEngineTrustLevelHigh |
  GWEN_MsgEngineTrustLevelFull |

## Function Documentation

GWENHYWFAR_API int GWEN_MsgEngine_TrustedData_AddPos | ( | GWEN_MSGENGINE_TRUSTEDDATA * | td,
|  | unsigned int | pos
| ) |

GWENHYWFAR_API int GWEN_MsgEngine_TrustedData_CreateReplacements | ( | GWEN_MSGENGINE_TRUSTEDDATA * | td | ) |

GWENHYWFAR_API void GWEN_MsgEngine_TrustedData_free | ( | GWEN_MSGENGINE_TRUSTEDDATA * | td | ) |

GWENHYWFAR_API const char* GWEN_MsgEngine_TrustedData_GetData | ( | GWEN_MSGENGINE_TRUSTEDDATA * | td | ) |

GWENHYWFAR_API const char* GWEN_MsgEngine_TrustedData_GetDescription | ( | GWEN_MSGENGINE_TRUSTEDDATA * | td | ) |

GWENHYWFAR_API int GWEN_MsgEngine_TrustedData_GetFirstPos | ( | GWEN_MSGENGINE_TRUSTEDDATA * | td | ) |

GWENHYWFAR_API GWEN_MSGENGINE_TRUSTEDDATA* GWEN_MsgEngine_TrustedData_GetNext | ( | GWEN_MSGENGINE_TRUSTEDDATA * | td | ) |

GWENHYWFAR_API int GWEN_MsgEngine_TrustedData_GetNextPos | ( | GWEN_MSGENGINE_TRUSTEDDATA * | td | ) |

GWENHYWFAR_API const char* GWEN_MsgEngine_TrustedData_GetReplacement | ( | GWEN_MSGENGINE_TRUSTEDDATA * | td | ) |

GWENHYWFAR_API unsigned int GWEN_MsgEngine_TrustedData_GetSize | ( | GWEN_MSGENGINE_TRUSTEDDATA * | td | ) |

GWENHYWFAR_API GWEN_MSGENGINE_TRUSTLEVEL GWEN_MsgEngine_TrustedData_GetTrustLevel | ( | GWEN_MSGENGINE_TRUSTEDDATA * | td | ) |

GWENHYWFAR_API GWEN_MSGENGINE_TRUSTEDDATA* GWEN_MsgEngine_TrustedData_new | ( | const char * | data,
|  | unsigned int | size,
|  | const char * | description,
|  | GWEN_MSGENGINE_TRUSTLEVEL | trustLevel
| ) |